Bug 1417440 - smbd spams log with "Could not find child X -- ignoring" messages every 15 min
Summary: smbd spams log with "Could not find child X -- ignoring" messages every 15 min
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 12:09 UTC by poky
Modified: 2017-02-15 14:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:59:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Samba Project 8269 0 None None None 2017-01-29 12:09:32 UTC

Description poky 2017-01-29 12:09:32 UTC
Description of problem:
smbd spams log with "Could not find child X -- ignoring" messages every 15 min.

Version-Release number of selected component (if applicable):
samba 4.4.4-12.el7_3 

How reproducible:
set option: "loglevel = 2" in /etc/samba/smb.conf
systemctl start smb

Steps to Reproduce:
1. smb.conf options: loglevel = 2
2. systemctl start smb
3. Wait 20 min and look to /var/log/samba/log.smbd

Actual results:
 Module 'tdbsam' loaded
[2017/01/28 23:05:10.086142,  0] ../lib/util/become_daemon.c:124(daemon_ready)
  STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2017/01/28 23:05:10.087230,  1] ../source3/printing/printer_list.c:234(printer_list_get_last_refresh)
  Failed to fetch record!
[2017/01/28 23:05:10.087268,  2] ../source3/smbd/server.c:1125(smbd_parent_loop)
  waiting for connections
[2017/01/28 23:20:10.102492,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10043 -- ignoring
[2017/01/28 23:35:10.206625,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10060 -- ignoring
[2017/01/28 23:50:10.245959,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10066 -- ignoring
[2017/01/29 00:05:10.350495,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10088 -- ignoring
[2017/01/29 00:20:10.451307,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10093 -- ignoring
[2017/01/29 00:35:10.490664,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10099 -- ignoring
[2017/01/29 00:50:10.505094,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10104 -- ignoring
[2017/01/29 01:05:10.534201,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10126 -- ignoring
[2017/01/29 01:20:10.637664,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10131 -- ignoring
[2017/01/29 01:35:10.703815,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10136 -- ignoring
[2017/01/29 01:50:10.720094,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10142 -- ignoring
[2017/01/29 02:05:10.744343,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10163 -- ignoring
[2017/01/29 02:20:10.775498,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10169 -- ignoring
[2017/01/29 02:35:10.864891,  2] ../source3/smbd/server.c:576(remove_child_pid)
  Could not find child 10174 -- ignoring

Expected results:
log without messages "Could not find child"

Additional info:
Option "printcap cache time = 0" in smb.conf not work.

Comment 2 Andreas Schneider 2017-01-30 12:51:53 UTC
In Samba 4.4 the printcap cache time can't be set to 0. It is tied to the housekeeping function of 60 seconds. In Samba 4.6 the value for the housekeeping function is set to 'princap cache time'. So it can be set to a value below 60. See bug #1327810

However you request log level 2 and this is a log level two message, if you don't want to see it then decrease it. :-)

Comment 3 Andreas Schneider 2017-02-15 14:59:00 UTC
The debug log level for this message was set to 0 before then then got moved to 1. Later it has been moved from log level 1 to 2.

If you think it should be moved again, please open a bug upstream.


Note You need to log in before you can comment on or make changes to this bug.